Subscribe to webhook events for a Flow App

Creates a webhook subscription. Events matching eventType will be delivered to targetUrl with HMAC-SHA256 signature validation using the provided secret. The targetUrl must not resolve to a private/loopback IP (SSRF protection).

Path Params
string
required
Body Params
string
required
length between 1 and 100

Event type to subscribe to (e.g. "contact.requested", "step_submitted")

uri
required

HTTPS URL to receive webhook deliveries (no private IPs)

string
required
length ≥ 16

Shared secret for HMAC-SHA256 signature verification

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json